routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/welcome', function () {
    return view('welcome');
})->name('welcome');

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home')->middleware('auth:employe');

Route::group(['middleware' => 'auth:employe'], function () {
    Auth::routes();

    Route::get('vehicule', [App\Http\Controllers\VehiculeController::class, 'index'], function () {
        return view('vehicules.index');
    })->name('vehicule');

    Route::get('vehicule/search', 'App\Http\Controllers\VehiculeController@indexFiltering')->name('searchv');

	Route::get('contrat', [App\Http\livewire\Contrats::class, 'render'], function () {
		return view('contrats.render');
	})->name('contrat');

    Route::get('contrat/search', 'App\Http\livewire\Contrats@indexFiltering')->name('search');

    Route::get('mpaper', function () {
        return view('contrats.paper');
    });

    Route::get('client', [App\Http\livewire\clients::class, 'render'], function () {
        return view('clients.render');
    })->name('client');


    Route::resource('entreprises', 'App\Http\Controllers\EntrepriseController');
    Route::resource('admins', 'App\Http\Controllers\AdminController');
    Route::resource('employes', 'App\Http\Controllers\EmployeController');
    Route::resource('clients', 'App\Http\Controllers\ClientController');
    Route::resource('conducteurs', 'App\Http\Controllers\ConducteurController');
    Route::resource('vehicules', 'App\Http\Controllers\VehiculeController');
    Route::resource('photos', 'App\Http\Controllers\PhotoController');
    Route::resource('contrats', 'App\Http\livewire\Contrats');
    Route::resource('designunits', 'App\Http\Controllers\DesignunitController');
    Route::resource('designmontants', 'App\Http\Controllers\DesignmontantController');
    Route::resource('montants', 'App\Http\Controllers\MontantController');
    Route::resource('checkouts', 'App\Http\Controllers\CheckoutController');
    Route::resource('rapports', 'App\Http\Controllers\RapportController');


    Route::get('/contrats/{contrat}/{vehicule}/{client}', 'App\Http\Controllers\ContratController@show')->name('contrats.showa');
    Route::get('/edit/contrats/{contrat}/{vehicule}/{client}', 'App\Http\Controllers\ContratController@edit')->name('contrats.edita');

    Route::get('/contrats/print/{contrat}', 'App\Http\livewire\Contrats@print')->name('contrats.print');

    Route::get('/contrats/printpdf/{contrat}', 'App\Http\livewire\Contrats@printpdf')->name('contrats.printpdf');

    Route::get('/disponibilite/update', 'App\Http\Controllers\VehiculeController@updateDisponibilite')->name('vehicules.update.disponibilite');
    Route::get('/climatisation/update', 'App\Http\Controllers\VehiculeController@updateClimatisation')->name('vehicules.update.climatisation');
});

Route::group(['middleware' => 'auth:employe'], function () {
    Auth::routes();
    Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
    Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
    Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
    Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);
});

Auth::routes();

Route::get('/login/admin', 'App\Http\Controllers\Auth\LoginController@showAdminLoginForm');
Route::get('/login/employe', 'App\Http\Controllers\Auth\LoginController@showEmployeLoginForm');

Route::post('/login/admin', 'App\Http\Controllers\Auth\LoginController@adminLogin');
Route::post('/login/employe', 'App\Http\Controllers\Auth\LoginController@employeLogin');

Route::get('loginadmin', function () {
    return view('auth.loginadmin');
})->name('loginadmin');

Route::post('/save', [
    'uses' => 'App\Http\Controllers\VehiculeController@store',
    'as' => 'vehicules',
]);

resources/views/layouts/navbars/sidebar.blade.php
<div class="sidebar" data-color="orange" data-background-color="white"
    data-image="{{ asset('material') }}/img/sidebar-2.jpg" style="background-color: #f2f2f2">
    <!--
      Tip 1: You can change the color of the sidebar using: data-color="purple | azure | green | orange | danger"

      Tip 2: you can also add an image using data-image tag
  -->
    <div class="logo">
        <a href="{{ route('home') }}" class="simple-text logo-normal">
            <img style="height: 40px; width: 100px;" src="{{ asset('images') }}/loloapp.png">
        </a>
    </div>
    <div class="sidebar-wrapper">
        <ul class="nav">
            <li class="nav-item{{ $activePage == 'Tableau de bord' ? ' active' : '' }}">
                <a class="nav-link" href="{{ route('home') }}">
                    <!--<i class="material-icons">dashboard</i>-->
                    <i class="material-icons">dashboard</i>
                    <p>{{ __('Tableau de bord') }}</p>
                </a>
            </li>

            <li class="nav-item {{ $activePage == 'Véhicule' ? ' active' : '' }}">
                <a class="nav-link" href="{{ route('vehicule') }}">
                    <i class="material-icons">library_books</i>
                    <p>{{ __('Gestion des véhicules') }}</p>
                </a>
            </li>

            <li class="nav-item {{ $activePage == 'Contrats' ? ' active' : '' }}">
                <a class="nav-link" href="{{ route('contrat') }}">
                    <i class="material-icons">content_paste</i>
                    <p>{{ __('Gestion des contrats') }}</p>
                </a>
            </li>

            <li class="nav-item {{ $activePage == 'Clients' ? ' active' : '' }}">
                <a class="nav-link" href="{{ route('client') }}">
                    <i class="material-icons">bubble_chart</i>
                    <p>{{ __('Gestion des clients') }}</p>
                </a>
            </li>

            <li
                class="nav-item {{ $activePage == 'Mon profile' || $activePage == 'Demande' ? ' active' : '' }}">
                <a class="nav-link" data-toggle="collapse" href="#laravelExample" aria-expanded="false">
                    <i><img style="width:25px" src="{{ asset('material') }}/img/laravel.svg"></i>
                    <p>{{ __('Gestion de compte') }}
                        <b class="caret"></b>
                    </p>
                </a>
                <div class="collapse {{ $activePage == 'Mon profile' || $activePage == 'Demande' ? ' show' : '' }}"
                    id="laravelExample">
                    <ul class="nav">
                        <li class="nav-item{{ $activePage == 'Mon profile' ? ' active' : '' }}">
                            <a class="nav-link" href="{{ route('profile.edit') }}">
                                <span class="sidebar-mini"> - </span>
                                <span class="sidebar-normal">{{ __('Mon profile') }} </span>
                            </a>
                        </li>
                        <li class="nav-item{{ $activePage == 'Demande' ? ' active' : '' }}">
                            <a class="nav-link" href="{{ route('user.index') }}">
                                <span class="sidebar-mini"> - </span>
                                <span class="sidebar-normal"> {{ __('Demande: congé / attestation') }} </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
        </ul>
    </div>
</div>